aboutsummaryrefslogtreecommitdiffstats
path: root/functest/opnfv_tests/openstack
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2017-02-02 20:01:45 -0500
committerTim Rozet <trozet@redhat.com>2017-02-02 20:01:45 -0500
commit8aee76a6f740d5182c9eae2f7e6395440e43e37c (patch)
tree71fc5c3a00e0cb46cf3504023ce3a91189df824c /functest/opnfv_tests/openstack
parent84ad068f86b0c1d6fe40b33702777e460c7f9fe7 (diff)
Migrates glance commands to OSCLI
There is currently a bug with glance in newton which is causing Apex healthchecks to fail: https://bugs.launchpad.net/python-glanceclient/+bug/1661089 I have created a fix and tested it upstream: https://review.openstack.org/#/c/427929/ That fix should eventually end up in functest, but in addition it is a good idea to move to the universal CLI (this patch). Change-Id: Ie71b301ff856f2d50fd889ff36f634911e616b38 Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'functest/opnfv_tests/openstack')
-rwxr-xr-xfunctest/opnfv_tests/openstack/healthcheck/healthcheck.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh b/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh
index 57aa0c707..7fa957c01 100755
--- a/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh
+++ b/functest/opnfv_tests/openstack/healthcheck/healthcheck.sh
@@ -23,17 +23,17 @@ echo "">$LOG_FILE
exec 1<>$LOG_FILE
info () {
- echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healtcheck - INFO - " "$*" | tee -a $LOG_FILE 1>&2
+ echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healthcheck - INFO - " "$*" | tee -a $LOG_FILE 1>&2
}
debug () {
if [[ "${CI_DEBUG,,}" == "true" ]]; then
- echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healtcheck - DEBUG - " "$*" | tee -a $LOG_FILE 1>&2
+ echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healthcheck - DEBUG - " "$*" | tee -a $LOG_FILE 1>&2
fi
}
error () {
- echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healtcheck - ERROR - " "$*" | tee -a $LOG_FILE 1>&2
+ echo -e "$(date '+%Y-%m-%d %H:%M:%S,%3N') - healthcheck - ERROR - " "$*" | tee -a $LOG_FILE 1>&2
exit 1
}
@@ -125,16 +125,16 @@ kernel_img=$(cat ${YAML_FILE} | shyaml get-value healthcheck.kernel_image 2> /de
ramdisk_img=$(cat ${YAML_FILE} | shyaml get-value healthcheck.ramdisk_image 2> /dev/null || true)
extra_properties=$(cat ${YAML_FILE} | shyaml get-value healthcheck.extra_properties 2> /dev/null || true)
-# Test if we need to create a 3part image
+# Test if we need to create a 3party image
if [ "X$kernel_img" != "X" ]
then
- img_id=$(glance image-create --name ${kernel_image} --disk-format aki \
+ img_id=$(openstack image create ${kernel_image} --disk-format aki \
--container-format bare < ${kernel_img} | awk '$2 == "id" { print $4 }')
extra_opts="--property kernel_id=${img_id}"
if [ "X$ramdisk_img" != "X" ]
then
- img_id=$(glance image-create --name ${ramdisk_image} --disk-format ari \
+ img_id=$(openstack image create ${ramdisk_image} --disk-format ari \
--container-format bare < ${ramdisk_img} | awk '$2 == "id" { print $4 }')
extra_opts="$extra_opts --property ramdisk_id=${img_id}"
fi
@@ -152,10 +152,10 @@ fi
debug "image extra_properties=${extra_properties}"
-eval glance image-create --name ${image_1} --disk-format ${disk_format} --container-format bare \
+eval openstack image create ${image_1} --disk-format ${disk_format} --container-format bare \
${extra_opts} < ${disk_img}
debug "image '${image_1}' created."
-eval glance image-create --name ${image_2} --disk-format ${disk_format} --container-format bare \
+eval openstack image create ${image_2} --disk-format ${disk_format} --container-format bare \
${extra_opts} < ${disk_img}
debug "image '${image_2}' created."
info "... Glance OK!"